## fiasco-image-update-ask 0.1

=== debian/changelog ===
fiasco-image-update-ask (0.1) unstable; urgency=low

  * Initial Release.

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 13 Oct 2012 01:07:32 +0200

## fiasco-image-update-ask 0.2

=== debian/changelog ===
fiasco-image-update-ask (0.2) unstable; urgency=low

  * Fix reading zImage file and mtd device
  * Use run-standalone.sh for maemo-confirm-text
  * Do not allocate more memory as needed

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 09 Feb 2013 11:37:41 +0100

## fiasco-image-update-ask 0.3

=== Makefile ===
all: zimage-get-version

clean:
	$(RM) zimage-get-version

zimage-get-version: zimage-get-version.c
	$(CC) $^ -O2 $(CFLAGS) -lz $(LDFLAGS) -o $@

install: zimage-get-version
	mkdir -p $(DESTDIR)/usr/bin/
	install -m755 zimage-get-version $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/sbin/
	install -m755 fiasco-image-update $(DESTDIR)/sbin/

=== debian/changelog ===
fiasco-image-update-ask (0.3) unstable; urgency=low

  * Kernel on n900 sometimes refuse to allocate memory for malloc or read,
    so try functions again (max 10x)

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 06 Jul 2013 14:59:18 +0200

=== debian/control ===
Source: fiasco-image-update-ask
Section: utils
Priority: extra
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 5), zlib1g-dev
Standards-Version: 3.7.3

Package: fiasco-image-update-ask
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, softupd, hildon-application-manager
Description: Ask before updating kernel

## fiasco-image-update-ask 0.4

=== debian/changelog ===
fiasco-image-update-ask (0.4) unstable; urgency=low

  * Search for GZ magic header only in first 64kB, but unpack full 2MB GZ archive

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 23 Oct 2013 12:20:18 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/fiasco-image-update-ask.
	$(MAKE) DESTDIR="$(CURDIR)"/debian/fiasco-image-update-ask install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
